/*** CANCEL ***/
*::selection {
    fill: none;
    color: none;
    display: none;
    background: none;
	user-select:none;
		-webkit-user-select:none;-khtml-user-select:none;-moz-user-select:none;-ms-user-select:none;-o-user-select:none;
}

input,
textarea {
	width: 100%;
	padding: .25em .5em;
	margin: .25em 0;
}
	.v4 input[type="submit"] { width: auto; }
	input[type="submit"] { padding: .25em 1em; }

.v4 input[type="radio"] { display: inline-block; }
/*** END CANCEL ***/

/*** Z-INDEXES ***/
.d-background { position: relative; z-index: 8; }
.compliance,
.edu,
.footer,
.header,
.upgrade,
.v4 { position: relative; z-index: 18; }

.menu-veil { position: relative; z-index: 28; }
.menu { position: relative; z-index: 38; }

.edu,
main.doPaypal .paypal { position: relative; z-index: 100; }
/*** END Z-INDEXES ***/

/*** COLORS ***/
.js-manualNav *,
input[type="submit"],
.paypal-buttons-cta,
.v4 .calculator-results-design-nav span,
.v4 .js-RDBs-container label.is-saved { background-color: #04EA60; }
.compliance {// background-color: rgba(4, 234, 96, .4); }

.v4,
.v4 .calculator-results-design,
.menu,
.paypal_dock { background-color: #CAC7C1; }

html {// background-color: #F7F7F4; }

.v4 .js-RDBs-container label.is-deleted { background-color: #c22; }

.paypal { background-color: rgba(255, 255, 255, .7); }

html,
.v4 .calculator-results-design-data-numbers-lines-div { background-color: white; }
.v4 .calculator-results-design-data hgroup,
.v4 .calculator-results-design-data-numbers-pie-span,
.paypal-buttons-cta { color: white; }
.calculator-results-design-data-numbers-pie:before { border-color: white; }

.compliance { background-color: rgba(0, 0, 0, .1); }

.edu-button,
.edu-content { background-color: #AAA; }
/*** END COLORS ***/

/*** FONTS ***/
@font-face { font-family: "Arial Black"; src: url("/assets/fonts/ariblk.ttf"); }
* { font-family: "Arial Black"; }

.compliance,
.footer,
.header div { text-align: center; }
.v4 .js-RDBs-container,
.v4 .js-manualNav { text-align: right; }
.compliance-check a,
.edu-content a,
.footer a { text-decoration: underline; }
/*** END FONTS ***/

/*** MEDIA ***/
.js-btnClearAll { background-image: url("/assets/images/icon_closeAll_white.png"); }
.js-btnDelete { background-image: url("/assets/images/icon_close1_white.png"); }
.js-btnImport { background-image: url("/assets/images/icon_folder_white.png"); }
.js-btnDownload { background-image: url("/assets/images/icon_download_white.png"); }
.js-btnSave { background-image: url("/assets/images/icon_save_white.png"); }
.js-btnAdd { background-image: url("/assets/images/icon_add_white.png"); }
.js-manualNav * {// text-indent: -9999px !important;// color: transparent !important; }
	.js-manualNav *:last-child { display: none; }
.js-manualNav * {
	background-position: .21em center;
	background-repeat: no-repeat;
	background-size: auto 80%;
}

.edu-button { background-image: url("/assets/images/icon_important_A.png"); }
.edu-button {
	background-position: center;
	background-repeat: no-repeat;
	background-size: 60%;
}
/*** END MEDIA ***/

/*** UTILITIES ***/
	/*** .u-btn ***/
	.u-btn.is-icon {
		width: 1.8em; height: 1.8em;
		border-radius: 50%;
		
		background-color: white;
	}
/*** END UTILITIES ***/

/*** COMPONENTS ***/
	/*** COMMONS ***/
	body, html { overflow-x: hidden; }
	.menu label { position: absolute; }
	
	main > section { position: relative; }
	
	.edu-content { border-radius: .4em; }
	.v4 { border-radius: .4em; overflow: hidden; }
	
	/*** .compliance ***/
	.header,
	.v4 {// display: none !important; }
	.compliance {
		margin: 1.8em auto !important;
	}
	.compliance-check {
		border-style: solid; border-color: black;
	}
	.compliance-check:nth-child(1) { border-width: 0; }
	
	/*** .edu ***/
	.edu {
		position: fixed; top: 4em; left: 0; right: 0;
		text-align: right;
	}
	.edu-button {
		display: inline-block;
		
		border-radius: 50%;
	}
	.edu-content {
		display: inline-block;
		padding: 1em;
	}
	.edu-content p { padding-bottom: 1.8em; }
	
	/*** .footer ***/
	.footer { padding: 1em; }
	
	/*** .header ***/
	.header nav { display: flex; }
	.header nav h1 { flex: 1; }
	
	.header { position: relative; }

	.header div { padding: 4em 0; padding-bottom: 0; }
	.header div * {// display: inline; }


	/*** .menu ***/
	.menu {
		position: fixed; top: 0;
		overflow-y: scroll;
	}
		.menu, .menu > div { height: 100%; }
	.menu-form div:last-child { display: inline-block !important; }
	
	.menu-form textarea { min-height: 10em; }
	.menu-veil {
		position: absolute; top: 0; left: 0;
		width: 100%; height: 100%;
	}
	
	/*** .paypal ***/
	.paypal_dock { display: flex; flex-direction: column; }
	.paypal-content { flex: 1; }
	.paypal_dock,
	.paypal-buttons .js-btnCancel,
	.paypal-buttons-cta {
		border-radius: .25em;
		border-radius: 1em;
	}
	
	.paypal {
		position: fixed !important; top: 0; left: 0;
		width: 100%; height: 100%;
	}
	.paypal_dock {
		max-width: 90%;
	}
	.paypal-title {
		padding: .75em 1em; padding-bottom: .5em;
//		font-size: 1.8em;
		text-transform: uppercase;
	}
	.paypal-content {
		padding: .5em 1.8em;
		overflow-y: auto;
	}
	.paypal-details-sublist {
		padding-left: 1.8em;
	}
	.paypal-content label {
		display: inline-block;
		padding: .5em 0;
		text-transform: uppercase;
	}
	.paypal-buttons {
		padding-top: 1em;
		
//		background-color: green;
	}
	.paypal-buttons-cta {
		display: inline-block;
	}
	.paypal-buttons-cta_wrap {
		display: inline-block;
		text-align: center;
	}
	.paypal-buttons-cta_wrap span {
		font-size: .75em !important;
		font-variant: small-caps; text-transform: uppercase;
	}
	.paypal-buttons .js-btnCancel {
		display: inline-block;
		background-color: #AAA;
	}
	
	/*** .results ***/
	.results {
		position: absolute; top: 0;
	}
	
	/*** .upgrade ***/
	.upgrade { display: none !important; }
	.upgrade-button,
	.upgrade_dock { background-color: #AAA; }
	.upgrade-button {
		display: inline-block;
		padding: .75em 1em;
	}
	.upgrade header,
	.upgrade-content {
		padding: 1em;
	}
	
	/*** .v4 ***/
	.v4 .calculator footer { display: flex; }
	.v4 .calculator-data-manual_wrap { display: flex !important; }
	.v4 .calculator footer { align-items: flex-end; }

	.v4 {
		min-height: 8em;
		padding: 1em;
	}
	
	.v4 .calculator footer img { width: auto; height: 1.8em; }
	.v4 .calculator .calculator-fieldset label { display: block; }

	.v4 .js-RDBs-container label {
		display: inline-block;
		margin-right: .5em;
	}
	.v4 .js-RDBs-container label * { vertical-align: middle; }
	.v4 input[type="radio"] {
		display: inline-block;
		width: 1.8em; height: 1.8em;
	}
	
	.v4 footer input[type="submit"],
	.js-manualNav * {
//		text-indent: -9999px;

//		width: 1.8em;// height: 1.8em;
		display: inline-block; vertical-align: middle;
		padding: .5em .75em .5em 2.5em;
	}
		.js-manualNav input[type="submit"] {
			color: black;
			padding-left: 2.5em;
		}
		.js-manualNav .js-btnClearAll {
//			margin-top: 1em;
		}
	
	.calculator-results-design {
		position: absolute !important; top: 0; left: 0;
		width: 100%; height: 100%;
		display: block;
		padding: 1.8em;
		
		overflow-y: scroll !important;
		overflow-y: auto !important;
	}
	
	.calculator-results-design-nav {
		position: absolute; top: 0; right: 0;
	}
	.calculator-results-design-nav span {
		display: inline-block;
		padding: .5em;
		margin-top: 1em; margin-right: 1em;
	}
	
	.calculator-results-design-data {
		margin-bottom: 1.8em;
	}
	.calculator-results-design-data hgroup {
		margin-bottom: 1em;
	}
	.calculator-results-design-data hgroup h4,
	.calculator-results-design-data hgroup h5 {
		font-size: 1.8em;
		display: inline;
	}
	
	.calculator-results-design-data-numbers-lines-div {
		text-align: right;
		border-radius: 4em; overflow: hidden;
	}
	.calculator-results-design-data-numbers-lines-div:nth-child(1) { margin-bottom: 1em; }
	.calculator-results-design-data-numbers-lines-div-span {
		display: inline-block;
		min-width: 30%;
		padding: 1em 1.8em;
	}
	.calculator-results-design-data-numbers-pie {
		position: relative;
		width: auto; aspect-ratio: 2/1;
		overflow: hidden;
	}
	.calculator-results-design-data-numbers-pie:before {
		content: ""; position: absolute; top: 0; left: 0;
		width: auto; height: 100%; aspect-ratio: 1/1;
		border-radius: 50%;
		
		border-width: 3em; border-style: solid;
//		opacity: .5;
	}
	.calculator-results-design-data-numbers-pie-span {
		position: absolute; bottom: 0; left: 0; right: 0;
		text-align: center;
	}
	
/*** END COMPONENTS ***/

/*** INTERACTIVITY ***/
.calculator-results-design-nav span,
.edu-button,
.paypal-buttons .js-btnCancel,
.paypal-buttons-cta,
.u-btn,
.js-RDBs-container input,
.js-manualNav * { cursor: pointer; }
 
.menu { right: -100%; }
#chbx4menu:checked ~ main .menu { right: 0; }

.menu-veil { display: none; }
#chbx4menu:checked ~ main .menu-veil { display: block; }

.edu-content { display: none; }
#chbx4edu:checked ~ main .edu-content { display: inline-block; }

.calculator-results { display: none; }
.calculator-results.is-open { display: block; }

.paypal { display: none !important; }
main.doPaypal .paypal { display: flex !important; }

.paypal-details-sublist { display: none; }

#rdb4paypalDetails1:checked ~ main .paypal-details-list-item:nth-child(1) .paypal-details-sublist,
#rdb4paypalDetails2:checked ~ main .paypal-details-list-item:nth-child(2) .paypal-details-sublist,
#rdb4paypalDetails3:checked ~ main .paypal-details-list-item:nth-child(3) .paypal-details-sublist,
#rdb4paypalDetails4:checked ~ main .paypal-details-list-item:nth-child(4) .paypal-details-sublist,
#rdb4paypalDetails5:checked ~ main .paypal-details-list-item:nth-child(5) .paypal-details-sublist,
#rdb4paypalDetails6:checked ~ main .paypal-details-list-item:nth-child(6) .paypal-details-sublist,
#rdb4paypalDetails7:checked ~ main .paypal-details-list-item:nth-child(7) .paypal-details-sublist,
#rdb4paypalDetails8:checked ~ main .paypal-details-list-item:nth-child(8) .paypal-details-sublist,
#rdb4paypalDetails9:checked ~ main .paypal-details-list-item:nth-child(9) .paypal-details-sublist,
#rdb4paypalDetails10:checked ~ main .paypal-details-list-item:nth-child(10) .paypal-details-sublist,
.jekyllPlaceholderClassname { display: block; }

.results { right: -100%; }
#chbx4results:checked ~ main .results { right: 0; }
/*** END INTERACTIVITY ***/

/*** MEDIA-QUERIES ***/
@media screen and (max-width: 50em) {
	/*** FONTS ***/
	* { font-size: 14px; }
	.header label,
	.header div p,
	.header nav h1,
	.menu label,
	.menu-title,
	.paypal-title { font-size: 1.18em; }
	.header div h1 { font-size: 1.8em; }
	
	/*** COMPONENTS: .compliance ***/
	.compliance { padding: 1em 1.7em; }
	.compliance-check {
		padding: .1em;
		border-width: .1em 0 0 0;
	}
		/*** VIEWPORT: .compliance ***/
		.compliance-check {
			padding: 1em;
		}
		.compliance-check:nth-child(1) { padding-top: .3em; }
		.compliance-check:nth-child(3) { padding-bottom: .3em; }

	/*** COMPONENTS: .edu ***/
	.edu { padding: 0 1.8em; }
	.edu-button { width: 4em; height: 4em; }
	.edu-content { width: 100%; max-width: 18em; }
	
	/*** COMPONENTS: .menu ***/
	.menu-contacts > div:nth-child(2) { flex-direction: column !important; }
	
	main { padding: 1.8em; }
	.menu {
		width: 85%;
		padding: 0 1em;
	}
	.menu label { top: .5em; right: .5em; }
	
	.menu-contacts { padding: 1.8em 0; }
	.menu-title { padding: 1em 0; }
	.menu-footer { padding: 1em 0 1.8em 0; }
	.menu-form div { margin-top: 1em; }
	.menu-text p { padding: .5em 0; }
		/*** VIEWPORT: .menu-contacts ***/
		.menu-contacts > div:nth-child(2) { margin: 1em 0; }
	
	/*** COMPONENTS: .paypal ***/
	.paypal-buttons .js-btnCancel,
	.paypal-buttons-cta { padding: .5em; }
	.paypal_dock { max-height: 90vh; }
	.paypal-content { max-height: 30vh; }
	.paypal-buttons { padding: 1em; }
	.paypal-buttons .js-btnCancel { margin-top: 1em; }
	
	/*** COMPONENTS: .v4 ***/
	.v4 .calculator-fieldset div:nth-child(7) input,
	.v4 .calculator-fieldset div:nth-child(8) input,
	.v4 .calculator-fieldset div:nth-child(9) input { width: 50%; }
	
	.v4 .calculator-fieldset div label { margin-top: 1em; }
	
	.calculator-results-design-data-numbers-pie { height: 7em; }
		/*** VIEWPORT: .v4 ***/
		.v4 .calculator-data-manual_wrap { flex-direction: column; }
		.v4 .js-manualNav { align-items: center; }
		
		.v4 .js-manualNav br { display: none; }
	
	/*** INTERACTIVITY ***/
	.v4 .calculator footer img.is-big { display: none; }
	
	/*** CSS-HACKS ***/
	.paypal-buttons-cta_wrap:nth-child(3) { text-align: left !important; }
	.paypal-buttons-cta_wrap:nth-child(3) > span { margin-left: .75em !important; }
	
	/*** VIEWPORT ***/
	.paypal-buttons-cta_wrap > span span { display: none !important; }
	.paypal-buttons-cta_wrap input[type="text"] {
		width: 100% !important;
		padding: .25em .75em !important;
	}
	.paypal-buttons-cta_wrap input[type="submit"] {
		height: 1em !important;
		padding: 0 !important;
	}
	
	.js-here { padding-top: 7em; }
	.calculator-results > div { padding: .5em !important; }
	.calculator-results-design-data-numbers-lines-div span { padding: .5em .75em !important; }
	.calculator-results-design-data-numbers-pie { height: 5em; position: relative !important; }
	.calculator-results-design-data-numbers-pie:before { border-width: 1.5em !important; }
	.calculator-results-design-data-numbers-pie span { bottom: .5em; left: 2.1em; text-align: left; }
}
@media screen and (min-width: 50em) {
	/*** FONTS ***/
	* { font-size: 18px; }
	.header label,
	.header div p,
	.header nav h1,
	.menu label,
	.menu-title,
	.paypal-title { font-size: 1.8em; }
	.header div h1 { font-size: 3.4em; }
	
	/*** COMMONS ***/
	main { padding: 1em; }
	.menu label { top: 1em; right: 1em; }
	.v4 .calculator footer,
	.v4 .calculator-fieldset div { padding: .5em; }

	/*** COMPONENTS: .compliance ***/
	.compliance { padding: 1.8em; }
	.compliance-check {
		padding: .3em;
		border-width: 0 0 0 .1em;
	}
		/*** VIEWPORT: .compliance ***/
		.compliance-check { display: inline-block; vertical-align: middle; }
		.compliance-check:nth-child(1) { width: 25%; }
		.compliance-check:nth-child(2) { width: 30%; }
		.compliance-check:nth-child(3) { width: 45%; }
		.compliance-check br {// display: none; }

	/*** COMPONENTS: .edu ***/
	.edu { padding: 0 1em; }
	.edu-button { width: 4em; height: 4em; }
	.edu-content { width: 18em; }

	/*** COMPONENTS: .menu ***/
	.menu-contacts { display: flex; }
	.menu-contacts > div:nth-child(2) { flex-direction: column; }
	.menu-contacts > div { flex: 1; }

	.menu {
		width: 75%;
		padding: 0 3.5em;
	}
	.menu-contacts { padding: 3em 0; }
	.menu-contacts > div:nth-child(3) span:nth-child(1) { margin-right: 1em; }
	
	.menu-title { padding: 1.8em 0; }
	.menu-footer { padding: 2.5em 0 3em 0; }
	.menu-form div { margin-top: 1.8em; }
	.menu-text p { padding: 1em 0; }
	
	/*** COMPONENTS: .paypal ***/
	.paypal-buttons { display: flex; align-items: center; }

	.paypal-buttons { padding: 1.8em; }
	.paypal-buttons .js-btnCancel,
	.paypal-buttons-cta { padding: 1em; }
	.paypal_dock { max-height: 70vh; }
	.paypal-content { min-height: 10em; }
	.paypal-buttons .js-btnCancel { margin-left: 1em; }
	
	/*** COMPONENTS: .results ***/

	/*** COMPONENTS: .v4 ***/
	.v4 .calculator-data-manual_wrap { display: flex !important; }

	.v4 .calculator-fieldset div {
		width: 50%;
		display: inline-block;
	}
	.v4 .calculator-fieldset div:nth-child(7),
	.v4 .calculator-fieldset div:nth-child(8),
	.v4 .calculator-fieldset div:nth-child(9) { width: 33.333%; }
	.v4 .calculator-fieldset div input { display: block; }
	.v4 .calculator-fieldset div:nth-child(2) input { width: 50%; }
	
	.v4 .calculator-fieldset div label { margin-top: .5em; }
	
	/*** INTERACTIVITY ***/
	.v4 .calculator footer img.is-small { display: none; }
	
	.calculator-results-design-data-numbers { display: flex; }
	.calculator-results-design-data-numbers-lines { flex: 1; }
	
	.calculator-results-design-data-numbers-pie {
		height: 7em;
		margin-left: 7em;
	}
	
	/*** VIEWPORT ***/
	.menu-form { width: 40%; }
	.menu-form div:nth-child(1) { padding-right: 1em; }
	.menu-form div:nth-child(1),
	.menu-form div:nth-child(2) {
		width: 50%;
		display: inline-block;
	}
	
	.js-manualNav * {// margin-left: .8em; }
	
	/*** Qs ***/
	.menu-form div span,
	.menu-form div input {
//		display: block;
	}
}
/*** END MEDIA-QUERIES ***/

/*** DECORATION ***/
.d-background {
	position: fixed; top: 0; left: 0;
	width: 100vw; height: 100vh;
	
	background-color: #eee;
	background-image: url("/assets/images/math_background.png");
	background-size: cover !important;
}
.d-background:before {
	content: ""; 
	position: absolute; top: 0; left: 0;
	width: 100%; height: 100%;
	
	background-color: white; opacity: .96;
}
/*** END DECORATION ***/

/*** TOOLS ***/
	/*** .CSScentered ***/
	.CSScentered {
		display: flex;
		align-items: center; justify-content: center;
	}
	
	/*** .CSSmidWrap ***/
	.CSSmidWrap {
		width: 100%; max-width: 70em;
		display: block;
		margin: auto;
	}
		.edu.CSSmidWrap,
		.v4.CSSmidWrap { max-width: 60em; }
	
	/*** .CSSunderline ***/
	.CSSunderline { text-decoration: underline; }
	
	.CSSspacer { flex: 1 !important; }
	
	.CSSnoWrap {
		white-space: nowrap;
		word-break: keep-all;
	}
/*** END TOOLS ***/

/*** SANDBOX ***/
input:-webkit-autofill {
	box-shadow: 0 0 0 1000px white inset !important;
}
input[readOnly] {
	background-color: #AAA !important;
	color: white !important;
	cursor: initial !important;
}

.v4 .calculator-nav-button {
	padding-left: 1.8em; padding-left: 3em !important;
	
	background-image: url("/assets/images/icon_nasa_white.png");
	background-size: auto 80%;
	background-position: .18em center;
	background-repeat: no-repeat;
}

.paypal-buttons > div,
.paypal-buttons > span { display: inline-block; }
.paypal-buttons form {
	position: relative;
}
.paypal-buttons form input[type="text"] {
	width: 13em;
	padding: 1em;
	border-radius: 1em;
	
	background-color: #eee;
	box-shadow: 0 0 .5em #000 inset;
}
.paypal-buttons form input[type="submit"] {
	position: absolute; top: 0; bottom: 0; right: .5em;
	display: inline-block; margin: auto;
	width: 1.8em; height: 2.5em;
	border-radius: .5em;

	background-color: black; color: white;
	box-shadow: 0 0 .1em #000;
}

.menu-form {
//	border: 10px solid green;
}
/*** END SANDBOX ***/